Subscriptions

List subscriptions

Lists your subscriptions, newest first. Rate limit: 60 per minute per API key, shared with the other endpoints that have this limit.

GET
/api/v1/subscriptions

Authorization

bearerAuth
headerAuthorizationBearer <token>

A live API key, sk_live_ followed by 32 base58 characters.

Query Parameters

limit?integer

Number of items per page.

Range1 <= value <= 100
Default20
starting_after?string

Id of the last item of the previous page. Returns the items after it.

Length1 <= length

Response Body

One page of subscriptions.

application/json
  1. response
object*string
data*array<>
has_more*boolean
Example Request
curl -X GET 'https://example.com/api/v1/subscriptions'
Example Response
{  "object": "list",  "data": [    {      "id": "sub_2mQ8vT4kW9xL3pN7rB5s",      "object": "subscription",      "status": "active",      "customer_email": "string",      "amount": "string",      "currency": "USD",      "interval": "week",      "description": "string",      "next_invoice_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true}